package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFD28 extends MwfRequest<MWFD28, MWFD28Response> {

    @Parameter(name = "IDBusiness")
    MWFD28 iDBusiness(String iDBusiness);
    @Parameter(name = "IDDruhSouhlasu")
    MWFD28 iDDruhSouhlasu(String iDDruhSouhlasu);
    @Parameter(name = "IDSystem")
    MWFD28 iDSystem(Long iDSystem);
    @Parameter(name = "IDZaznamuUziv")
    MWFD28 iDZaznamuUziv(Long iDZaznamuUziv);
    @Parameter(name = "Prijmeni")
    MWFD28 prijmeni(String prijmeni);
    @Parameter(name = "RC")
    MWFD28 rc(String rc);
}
